<?php
/**
* ページセレクタ
*
* PHP version 5
*
* @package    renderers
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class MyPageSelector extends CharcoalComponent implements IPageSelector
{
	/**
	 *   ページを決定する
	 */
	public function selectPage( String $proc_name, TaskSnapshot $snapshot, Response $response )
	{
		switch( $proc_name ){
		case 'index':
			{
				// フォームオブジェクトを取得
				$form = $snapshot->get( s('show_form.form') );
				// レスポンスオブジェクトにセット
				$response->set( s('form'), $form );
			}
			break;
		case 'input_form':
			{
				// フォームオブジェクトを取得
				$form = $snapshot->get( s('input_form.form') );
				// レスポンスオブジェクトにセット
				$response->set( s('form'), $form );
			}
			break;
		}

		return s('top_page.tpl');
	}
}
